sysmonpsv: xsysmonpsv_intr.c File Reference

| sysmonpsv Xilinx SDK Drivers API Documentation

- Overview
- APIs
- File List
- Examples

Functions
xsysmonpsv_intr.c File Reference

## Functions
void | XSysMonPsv_IntrEnable (XSysMonPsv *InstancePtr, u32 Mask, u8 IntrNum)
| This function enables the specified interrupts in the device. More...
u32 | XSysMonPsv_IntrGetEnabled (XSysMonPsv *InstancePtr, u8 IntrNum)
| This function returns the enabled interrupts read from the Interrupt Enable Register (IER). More...
void | XSysMonPsv_IntrDisable (XSysMonPsv *InstancePtr, u32 Mask, u8 IntrNum)
| This function disables the specified interrupts in the device. More...
u32 | XSysMonPsv_IntrGetStatus (XSysMonPsv *InstancePtr)
| This function returns the interrupt status read from Interrupt Status Register(ISR). More...
void | XSysMonPsv_IntrClear (XSysMonPsv *InstancePtr, u32 Mask)
| This function clears the specified interrupts in the Interrupt Status Register (ISR). More...
void | XSysMonPsv_SetNewDataIntSrc (XSysMonPsv *InstancePtr, XSysMonPsv_Supply Supply, u32 Mask)
| This function sets a supply as a source new data interrupt. More...

## Function Documentation

void XSysMonPsv_IntrClear | ( | XSysMonPsv * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function clears the specified interrupts in the Interrupt Status Register (ISR).

Parameters

  InstancePtr | is a pointer to the XSysMonPsv instance.
  Mask | is the 32 bit-mask of the interrupts to be cleared. Bit positions of 1 will be cleared. Bit positions of 0 will not change the previous interrupt status.*

Returns
  None.

Note
  None.

References XSYSMONPSV_ISR_OFFSET, and XSysMonPsv_WriteReg.

Referenced by SysMonPsvIntrExample(), and SysMonPsvPolledExample().

void XSysMonPsv_IntrDisable | ( | XSysMonPsv * | InstancePtr,
|  | u32 | Mask,
|  | u8 | IntrNum
| ) |  |

This function disables the specified interrupts in the device.

Parameters

  InstancePtr | is a pointer to the XSysMonPsv instance.
  Mask | is the 32 bit-mask of the interrupts to be enabled. Bit positions of 1 will be disabled. Bit positions of 0 will keep the previous setting. This mask is formed by OR'ing XSYSMONPSV_IDR_* bits defined in xsysmonpsv_hw.h.
  IntrNum | is the interrupt disable register to be used

Returns
  None.

Note
  None.

References XSYSMONPSV_IDR0_OFFSET, and XSysMonPsv_WriteReg.

void XSysMonPsv_IntrEnable | ( | XSysMonPsv * | InstancePtr,
|  | u32 | Mask,
|  | u8 | IntrNum
| ) |  |

This function enables the specified interrupts in the device.

Parameters

  InstancePtr | is a pointer to the XSysMonPsv instance.
  Mask | is the 32 bit-mask of the interrupts to be enabled. Bit positions of 1 will be enabled. Bit positions of 0 will keep the previous setting. This mask is formed by OR'ing XSYSMONPSV_IER_* bits defined in xsysmonpsv_hw.h.
  IntrNum | is the interrupt enable register to be used

Returns
  None.

Note
  None.

References XSYSMONPSV_IER0_OFFSET, and XSysMonPsv_WriteReg.

Referenced by SysMonPsvIntrExample(), and SysMonPsvPolledExample().

u32 XSysMonPsv_IntrGetEnabled | ( | XSysMonPsv * | InstancePtr,
|  | u8 | IntrNum
| ) |  |

This function returns the enabled interrupts read from the Interrupt Enable Register (IER).

Use the XSYSMONPSV_IER0_* and XSYSMONPSV_IER1_* constants defined in xsysmonpsv_hw.h to interpret the returned value.

Parameters

  InstancePtr | is a pointer to the XSysMonPsv instance.
  IntrNum | is the interrupt enable register to be used

Returns
  A 32-bit value representing the contents of the Interrupt Mask Registers.

Note
  None.

References XSYSMONPSV_IER0_OFFSET, and XSysMonPsv_ReadReg.

u32 XSysMonPsv_IntrGetStatus | ( | XSysMonPsv * | InstancePtr | ) |

This function returns the interrupt status read from Interrupt Status Register(ISR).

Use the XSYSMONPSV_ISR* constants defined in xsysmonpsv_hw.h to interpret the returned value.

Parameters

  InstancePtr | is a pointer to the XSysMonPsv instance.

Returns
  A 32-bit value representing the contents of the Interrupt Status Register (ISR).

Note
  None.

References XSYSMONPSV_ISR_OFFSET, and XSysMonPsv_ReadReg.

Referenced by SysMonPsvPolledExample().

void XSysMonPsv_SetNewDataIntSrc | ( | XSysMonPsv * | InstancePtr,
|  | XSysMonPsv_Supply | Supply,
|  | u32 | Mask
| ) |  |

This function sets a supply as a source new data interrupt.

Parameters

  InstancePtr | is a pointer to the XSysMonPsv instance.
  Supply | is an enum from the XSysMonPsv_Supply
  Mask | is a 32 bit Mask for NEW_DATA_n fields in the interrupt registers

Returns
  None.

Note
  None.

References XSYSMONPSV_NEW_DATA_INT_SRC, XSysMonPsv_ReadReg, and XSysMonPsv_WriteReg.

Referenced by SysMonPsvPolledExample().